Bug 1027547 - (CVE-2013-6473) CVE-2013-6473 cups-filters: two heap-based buffer overflow flaws in urftopdf
CVE-2013-6473 cups-filters: two heap-based buffer overflow flaws in urftopdf
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140311,repor...
: Security
Depends On: 1074840
Blocks: 1002935 1010117
  Show dependency treegraph
 
Reported: 2013-11-06 23:14 EST by Murray McAllister
Modified: 2016-03-04 07:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 01:32:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-11-06 23:14:07 EST
Two heap-based buffer overflow flaws were found in the urftopdf filter. If a malicious URF file were processed, it could lead to arbitrary code execution with the privileges of the "lp" user.

Acknowledgements:

These issues were discovered by Florian Weimer of the Red Hat Product Security Team.
Comment 5 Huzaifa S. Sidhpurwala 2014-03-11 01:11:49 EDT
Public via:

http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7175

This issue has been resolved in upstream cups-filters-1.0.47
Comment 6 Huzaifa S. Sidhpurwala 2014-03-11 01:17:57 EDT
Created cups-filters tracking bugs for this issue:

Affects: fedora-all [bug 1074840]

Note You need to log in before you can comment on or make changes to this bug.